<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: Initialization</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Initialization<br/>
<small>
[<a class="el" href="group__public.html">User interface</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_init.html#gacc9952fabf1ad3d282ebfcb2a7722f04">phpCAS::client</a> ($server_version, $server_hostname, $server_port, $server_uri, $start_session=true)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__public_init.html#ga9926765840fa60ad4a815dc63b79dbe3">phpCAS::proxy</a> ($server_version, $server_hostname, $server_port, $server_uri, $start_session=true)</td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gacc9952fabf1ad3d282ebfcb2a7722f04"></a><!-- doxytag: member="phpCAS::client" ref="gacc9952fabf1ad3d282ebfcb2a7722f04" args="($server_version, $server_hostname, $server_port, $server_uri, $start_session=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::client </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_version</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_hostname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_uri</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>start_session</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="classphp_c_a_s.html">phpCAS</a> client initializer. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Only one of the <a class="el" href="group__public_init.html#gacc9952fabf1ad3d282ebfcb2a7722f04">phpCAS::client()</a> and <a class="el" href="group__public_init.html#ga9926765840fa60ad4a815dc63b79dbe3">phpCAS::proxy</a> functions should be called, only once, and before all other methods (except <a class="el" href="group__public.html#gaba9981b7e9d000cd2023da901c2b71dd">phpCAS::getVersion()</a> and <a class="el" href="group__public_debug.html#ga2c18e41d018545f952b9fcd4ece9dfef">phpCAS::setDebug()</a>).</dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$server_version</em>&nbsp;</td><td>the version of the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_hostname</em>&nbsp;</td><td>the hostname of the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_port</em>&nbsp;</td><td>the port the CAS server is running on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_uri</em>&nbsp;</td><td>the URI the CAS server is responding on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$start_session</em>&nbsp;</td><td>Have <a class="el" href="classphp_c_a_s.html">phpCAS</a> start PHP sessions (default true)</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>a newly created <a class="el" href="class_c_a_s_client.html">CASClient</a> object </dd></dl>

</div>
</div>
<a class="anchor" id="ga9926765840fa60ad4a815dc63b79dbe3"></a><!-- doxytag: member="phpCAS::proxy" ref="ga9926765840fa60ad4a815dc63b79dbe3" args="($server_version, $server_hostname, $server_port, $server_uri, $start_session=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">phpCAS::proxy </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_version</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_hostname</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_port</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>server_uri</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>start_session</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p><a class="el" href="classphp_c_a_s.html">phpCAS</a> proxy initializer. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Only one of the <a class="el" href="group__public_init.html#gacc9952fabf1ad3d282ebfcb2a7722f04">phpCAS::client()</a> and <a class="el" href="group__public_init.html#ga9926765840fa60ad4a815dc63b79dbe3">phpCAS::proxy</a> functions should be called, only once, and before all other methods (except <a class="el" href="group__public.html#gaba9981b7e9d000cd2023da901c2b71dd">phpCAS::getVersion()</a> and <a class="el" href="group__public_debug.html#ga2c18e41d018545f952b9fcd4ece9dfef">phpCAS::setDebug()</a>).</dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$server_version</em>&nbsp;</td><td>the version of the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_hostname</em>&nbsp;</td><td>the hostname of the CAS server </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_port</em>&nbsp;</td><td>the port the CAS server is running on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$server_uri</em>&nbsp;</td><td>the URI the CAS server is responding on </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>$start_session</em>&nbsp;</td><td>Have <a class="el" href="classphp_c_a_s.html">phpCAS</a> start PHP sessions (default true)</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>a newly created <a class="el" href="class_c_a_s_client.html">CASClient</a> object </dd></dl>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:55 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
